Subject: Re: [Idr] issue 11.2: active route, again [Re: comments on idr-bgp4-20] (fwd)
From: vijay gill <[email-masked]>
To: Pedro Roque Marques <[email-masked]>
Cc: [email-masked]
Date: Tue, 2 Mar 2004 23:17:11 +0000
List-Id: Inter-Domain Routing <idr.ietf.org>

On Tue, Mar 02, 2004 at 02:47:19PM -0800, Pedro Roque Marques wrote:

> When you receive a BGP advertisement from a neighbor, do you expect 
> traffic sent to that neighbor to follow the ASes that are present in
> the corresponding routing advertisement ?

Yes, but right now, nothing prevents that person from putting
a static up that points any traffic I send to that AS right back
out the current pipe. I am saying is that you are trying to
solve a problem which a) isn't a huge thing in practice and
b) _cannot_ be solved.

> Is it a 'feature' or a 'bug' if traffic doesn't follow the path
> advertised by routing...

it is a bug obviously, but insofar as BGP knows, it is setting
up a correct loop-free graph and it really should
restrict itself to doing that, as opposed to trying to figure out
all the myriad ways traffic can go wrong.

> This is an issue that exists today... and not strictly related to the
> advertisement of inactive paths. I believe CAIDA has made measurements
> of such inconsistencies.

I think we need more results from randy's happy packets research.

> But while it is easy for all of us to say "i'd like to be able to do
> whatever i want" a more interesting question is "what i would like
> others to contrain themselfs to"...

But I don't worry how say, my bgp peers AS routes traffic internally.
It is not within my bailiwick to worry about it, they could be using
statics for all I care.  my concern is that they send me an accurate
prefix set that they are transiting and I give them traffic
for that prefix set.

I think we are starting to loop here. 

/vijay

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr